
# ProcessEndpointType

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**UID** | **String** | UID of the process |  [optional]
**project** | [**ProcessEndpointTypeProject**](ProcessEndpointTypeProject.md) |  |  [optional]
**status** | [**StatusEnum**](#StatusEnum) | Status of the project. Can be one of:   * WAITING: Process is queued for execution   * RUNNING: Process is currently executing   * FINISHED: Process terminated normally   * ABORTED: Process terminated unexpectedly   * ZOMBIE: Process is listed in the platform process table, but the internal (process) API has no information about it. Possible in case of historical/archived processes or due to platform error.  |  [optional]
**createdAt** | [**LocalDate**](LocalDate.md) | Creation date |  [optional]
**createdBy** | **String** | User name of the creator |  [optional]
**lastModifiedAt** | [**LocalDate**](LocalDate.md) | Last modification date |  [optional]
**lastModifiedBy** | **String** | User name of the last modifier |  [optional]
**tool** | [**ProcessEndpointTypeTool**](ProcessEndpointTypeTool.md) |  |  [optional]
**logs** | **String** | Logs from the process |  [optional]
**results** | [**List&lt;ProcessEndpointTypeResults&gt;**](ProcessEndpointTypeResults.md) | Results from the process |  [optional]


<a name="StatusEnum"></a>
## Enum: StatusEnum
Name | Value
---- | -----
WAITING | &quot;WAITING&quot;
RUNNING | &quot;RUNNING&quot;
FINISHED | &quot;FINISHED&quot;
ABORTED | &quot;ABORTED&quot;
ZOMBIE | &quot;ZOMBIE&quot;



